#!/bin/bash

TARGET=lorenz

cd $HOME
touch $HOME/.Xauthority

[ ! -s $HOME/.ssh/id_rsa.ceci ] && exit
chmod 600 $HOME/.ssh/id_rsa.ceci

[ -s $HOME/.ssh/config ] && mv $HOME/.ssh/config $HOME/.ssh/config_old

[ ! -f $HOME/.ssh/id_rsa.pub ] && cat /dev/zero | ssh-keygen -q -N "" > /dev/null
cat ceci_config | sed -e 's/jsmith/'$USER'/g' > $HOME/.ssh/config

ssh-copy-id -i $HOME/.ssh/id_rsa gwcism #2> /dev/null
ssh-copy-id -i $HOME/.ssh/id_rsa $TARGET #2> /dev/null
